# UniTAP.dev.modules.capturer.result_object

class ResultObject:

The base class of all capture results. Contains information about `start_capture_time`, `end_capture_time`, `timestamp` and `buffer` with captured data.

start_capture_time: int

Return start capture time.

###### Returns:

> object of `int` type

end_capture_time: int

Return end capture time.

###### Returns:

> object of `int` type

timestamp: UniTAP.common.timestamp.Timestamp

Return timestamp.

###### Returns:

> object of `Timestamp` type

buffer: list

Return buffer with captured data.

###### Returns:

> object of list type

def clear(self):

Clear all data.